com.qualcomm.ftccommon

## Class FtcAboutActivity.AboutFragment

- java.lang.Object
- - PreferenceFragment
  - - com.qualcomm.ftccommon.FtcAboutActivity.AboutFragment

- Enclosing class:
    FtcAboutActivity

      public static class FtcAboutActivity.AboutFragment
      extends PreferenceFragment

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `remoteConfigure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreate(Bundle savedInstanceState)`
    `void` | `refreshAllUnavailable()`
    `void` | `refreshLocal(RobotCoreCommandList.AboutInfo aboutInfo)`
    `void` | `refreshRemote(RobotCoreCommandList.AboutInfo aboutInfo)`
    `protected void` | `setPreferenceSummary(int idPref, java.lang.String value)`
    `protected void` | `setPreferenceSummary(java.lang.String prefName, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### remoteConfigure

          protected final boolean remoteConfigure

  - ### Constructor Detail

    - #### AboutFragment

          public AboutFragment()

  - ### Method Detail

    - #### refreshLocal

          public void refreshLocal(RobotCoreCommandList.AboutInfo aboutInfo)

    - #### refreshRemote

          public void refreshRemote(RobotCoreCommandList.AboutInfo aboutInfo)

    - #### refreshAllUnavailable

          public void refreshAllUnavailable()

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

    - #### setPreferenceSummary

          protected void setPreferenceSummary(int idPref,
                                              java.lang.String value)

    - #### setPreferenceSummary

          protected void setPreferenceSummary(java.lang.String prefName,
                                              java.lang.String value)